For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
      • GETReturns the dashboards of the current user.
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceDashboards

Returns the dashboards of the current user.

GET
https://api.awork.com/api/v1/me/dashboards
GET
/api/v1/me/dashboards
$curl https://api.awork.com/api/v1/me/dashboards \
> -H "Authorization: Bearer <token>"
200Retrieved
1[
2 {
3 "id": "123e4567-e89b-12d3-a456-426614174000",
4 "userId": "123e4567-e89b-12d3-a456-426614174000",
5 "widgets": [
6 {
7 "id": "123e4567-e89b-12d3-a456-426614174000",
8 "type": "task-views",
9 "name": "Unassigned Tasks",
10 "entityId": "123e4567-e89b-12d3-a456-426614174000",
11 "filterId": "123e4567-e89b-12d3-a456-426614174000",
12 "createdOn": "2024-01-15T09:30:00Z",
13 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
14 "updatedOn": "2024-01-15T09:30:00Z",
15 "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
16 "column": 0,
17 "order": 0,
18 "settings": "{ \"showPrivate\": true }",
19 "value": null
20 }
21 ]
22 }
23]
Returns the dashboards of the current user. <Check title="Required Permissions" icon="key">The user must be the creator.</Check>
Was this page helpful?
Previous

Files & Images

Next
Built with

Returns the dashboards of the current user.

Required Permissions
The user must be the creator.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

includeWidgetsbooleanOptionalDefaults to false
Include widgets.

Response

OK
idstringformat: "uuid"
The id of the dashboard.
userIdstringformat: "uuid"
The id of the user that the dashboard belongs to.
widgetslist of objects or null
A list of all widgets of the dashboard.